<!--% query_next_available_episode = '
    SELECT id, date FROM eps e WHERE id = (
        SELECT  id + 1 FROM eps mo
            WHERE NOT EXISTS (
		SELECT NULL
		FROM   eps mi
		WHERE  mi.id = mo.id + 1
            )
        ORDER BY id
        LIMIT 1) - 1
    '
%-->
<!--% query_latest_episodes = '
	WITH comment_tallies AS (
		SELECT
			eps_id,
			COUNT(eps_id) AS eps_tally
		FROM comments
		GROUP BY eps_id
	)
	SELECT
		eps.id,
		eps.explicit,
		eps.date, eps.license, eps.duration,
		eps.title, eps.summary, eps.tags,
		eps.notes,
		hosts.local_image,
		hosts.hostid,
		hosts.host, hosts.email,
		miniseries.name AS series, miniseries.id AS seriesid,
		COALESCE (comment_tallies.eps_tally, 0) AS eps_tally
	FROM eps
	INNER JOIN hosts ON eps.hostid = hosts.hostid
    INNER JOIN miniseries ON eps.series = miniseries.id
    LEFT JOIN comment_tallies ON eps.id = comment_tallies.eps_id
	WHERE eps.date <= date(\'now\')
	ORDER BY eps.id + 0 DESC
	LIMIT 10
	'
%-->
<!--% query_last_5_weeks_episodes = '
	SELECT
        eps.id,
	eps.explicit,
        eps.date, eps.license, eps.title, eps.summary,
		eps.duration, eps.notes, eps.tags,
        hosts.hostid,
        hosts.host, hosts.email, hosts.local_image,
		miniseries.name AS series, miniseries.id AS seriesid
    FROM eps
	INNER JOIN hosts ON eps.hostid = hosts.hostid
	INNER JOIN miniseries ON eps.series = miniseries.id
	WHERE eps.date <= date(\'now\')
    ORDER BY eps.id + 0 DESC
	LIMIT 30 OFFSET 10
	'
%-->

